(function(app) {  
  app.CitiesComponent = ng.core
    .Component({
      selector: 'cities',
      templateUrl: './app/cities.component.html',
      providers: [ng.http.HTTP_PROVIDERS, app.CitiesService],
      pipes: [app.CitiesSortPipe]
    })
    .Class({
      constructor: [app.CitiesService, function(_citiesService) {
        this.cities = [];                                    
        this.service = _citiesService;
      }],
      getCities: function() {
        var self = this;
        this.service.get()
                    .subscribe(
                      function(cities) {    
                        self.cities = cities.split('\n');
                      },
                      function(error) {
                        alert(error);
                      }
                      );
      },
      ngOnInit: function() {
        this.getCities();
      }
    });
})(window.app || (window.app = {}));